View Issue Details

IDProjectCategoryView StatusLast Update
0007045AnastasisC reducer implementationpublic2022-04-13 08:53
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionGit master 
Target Version0.3.0Fixed in Version0.3.0 
Summary0007045: use clearer names for various salt values
DescriptionCurrently we use the JSON field name / variable name "salt" for many different things.

We should call them "provider_salt", "policy_salt", "truth_salt", etc. to avoid confusion.
TagsNo tags attached.

Activities

Florian Dold

2022-04-12 22:58

manager   ~0018865

See https://bugs.gnunet.org/view.php?id=7050#c18860 for the reducer state schema that has truth_salt instead of plain "salt".

Christian Grothoff

2022-04-13 08:21

manager   ~0018866

Last edited: 2022-04-13 08:51

salt => provider_salt
salt => question_salt (not truth_salt)
salt => master_salt

Issue History

Date Modified Username Field Change
2021-10-19 20:17 Florian Dold New Issue
2021-10-19 20:17 Florian Dold Status new => assigned
2021-10-19 20:17 Florian Dold Assigned To => Florian Dold
2022-04-12 22:58 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2022-04-12 22:58 Florian Dold Note Added: 0018865
2022-04-13 08:21 Christian Grothoff Note Added: 0018866
2022-04-13 08:51 Christian Grothoff Note Edited: 0018866
2022-04-13 08:53 Christian Grothoff Status assigned => resolved
2022-04-13 08:53 Christian Grothoff Resolution open => fixed
2022-04-13 08:53 Christian Grothoff Fixed in Version => 0.3.0
2022-04-13 08:53 Christian Grothoff Product Version => Git master
2022-04-13 08:53 Christian Grothoff Target Version => 0.3.0